import { useEffect, useState } from 'react';
import _useSigner from './useSigner';
export default function _useAccount() {
    var signer = _useSigner();
    var _a = useState(undefined), address = _a[0], setAddress = _a[1];
    useEffect(function () {
        if (signer) {
            signer.getAddress().then(function (_address) {
                setAddress(_address);
            });
        }
        else {
            setAddress(undefined);
        }
    }, [signer]);
    return address;
}
