var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import ConnectedWallet from './ConnectedWallet';
import ConnectWallet from './ConnectWallet';
import { useAccount } from 'wagmi';
import useWebThreeAuth from '../useWebThreeAuth';
import { Button } from '@mui/material';
export default function Wallet() {
    var isConnected = useAccount().isConnected;
    var _a = useWebThreeAuth(), webThreeAuthSigner = _a.signer, web3auth = _a.web3auth;
    if (webThreeAuthSigner) {
        return (_jsx(Button, __assign({ variant: "contained", disableElevation: true, onClick: function () { return web3auth === null || web3auth === void 0 ? void 0 : web3auth.logout({ cleanup: true }); } }, { children: "Log out" }), void 0));
    }
    else if (isConnected) {
        return _jsx(ConnectedWallet, {}, void 0);
    }
    else {
        return _jsx(ConnectWallet, {}, void 0);
    }
}
